import type Joi from 'joi';
declare type SchemaType = Joi.ObjectSchema;
export declare function createSchema(fn: (j: typeof Joi) => Joi.ObjectSchema): Joi.ObjectSchema;
export declare function validate(obj: any, schema: Joi.ObjectSchema, cb: (errMsg: Error | string) => void): void;
export declare function validateSync(obj: any, schema: Joi.ObjectSchema): void;
export type { SchemaType };
