import { readPackageSync } from 'read-pkg';
export declare function loadJSON<T = any>(filepath: string, importMetaUrl: string): T;
export declare function useRequire<T = any>(filepath: string, importMetaUrl: string): T;
export declare function loadModule<T = any>(id: string, importMetaUrl: string): Promise<T>;
export declare function getCurrentFileName(importMetaUrl: string): string;
export declare function getCurrentDirName(importMetaUrl: string): string;
/**
 * Check node version
 * @param wanted
 * @param id
 */
export declare function checkNodeVersion(wanted: string, id: string): void;
export declare function loadPackageJson(context: string, normalize?: boolean): PackageJsonType;
export declare type PackageJsonType = ReturnType<typeof readPackageSync>;
